apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-world-deployment
spec:
  template:
    spec:
      containers:
        - name: hello-world-image
          resources:
            requests:
              cpu: "0.5"
              memory: "128Mi"
            limits:
              cpu: "0.5"
              memory: "256Mi"